/*
 *
 *
 */
#include "common.h"
#include "LPC214x.h"
#include "usbhw.h"

/*
 * functions
 */
void vcom_isr_Reset_Event(u_long unused);

/*
 * variables
 */
const INTR_subFUNCs USB_Jump_Table[N_JT];
const INTR_subFUNCs USB_Jump_Table_EP[LPC_N_EP];

/*
 * externs
 */
/* in usbcore.c */
extern void ucore_ResetCore(void);


/*
 * USB Endpoint Events Callback Pointers
 */
const INTR_subFUNCs USB_Jump_Table[N_JT] = {
/*0:USB_JT_POWER  */	NULL  /*vcom_isr_Power_Event*/,
/*1:USB_JT_RESET  */	vcom_isr_Reset_Event,
/*2:USB_JT_SUSPEND*/	NULL  /*vcom_isr_Suspend_Event*/,
/*3:USB_JT_RESUME */	NULL  /*vcom_isr_Resume_Event*/,
/*4:USB_JT_SOF    */	NULL  /*vcom_isr_SOF_Event*/,
/*5:USB_JT_ERROR  */	NULL  /*vcom_isr_Error_Event*/,
};

/*
 *  USB Reset Event Callback
 */
void vcom_isr_Reset_Event(u_long unused)
{
rprintf("uCnc\r\n");
	ucore_ResetCore();
}

/*
 * USB Endpoint Events Callback Pointers
 */
const INTR_subFUNCs USB_Jump_Table_EP[LPC_N_EP] = {
/* 0out*/	NULL,		/* control out endpoint, unused */
/* 0in*/	NULL,		/* control in endpoint, unused */
/* 1out*/	 NULL,
/* 1in*/	 NULL,
/* 2out*/	 NULL,
/* 2in*/	 NULL,
/* 3out*/	 NULL,
/* 3in*/	 NULL,
/* 4out*/	 NULL,
/* 4in*/	 NULL,
/* 5out*/	 NULL,
/* 5in*/	 NULL,
/* 6out*/	 NULL,
/* 6in*/	 NULL,
/* 7out*/	 NULL,
/* 7in*/	 NULL,
/* 8out*/	 NULL,
/* 8in*/	 NULL,
/* 9out*/	 NULL,
/* 9in*/	 NULL,
/*10out*/	 NULL,
/*10in*/	 NULL,
/*11out*/	 NULL,
/*11in*/	 NULL,
/*12out*/	 NULL,
/*12in*/	 NULL,
/*13out*/	 NULL,
/*13in*/	 NULL,
/*14out*/	 NULL,
/*14in*/	 NULL,
/*15out*/	 NULL,
/*15in*/	 NULL,
};
